[Overview][Constants][Types][Classes][Procedures and functions][Variables][Index] | Reference for unit 'Variants' (#rtl)

# SetPropValue

Set a property value as a variant

## Declaration

Source position: variants.pp line 346

`procedure SetPropValue(`
`Instance: TObject;`
`PropInfo: PPropInfo;`
`const Value: Variant`
`); overload;`

## Arguments

`Instance` |  | Instance to set property value of
`PropInfo` |  | Pointer to propert information (RTTI)
`Value` |  | Value to set property to

## Description

SetPropValue sets the value of the property described by PropInfo from the Instance. The property value is set from the variant-typed value Value.

This function is used as the value for the TypInfo unit's OnSetPropValue callback. This callback is automatically initialized with the function when the variants unit is used.

## See also

TypInfo |  | Access Run-Time Type Information (RTTI)
TypInfo.OnSetPropValue |  | Callback to set a property value as a variant.
GetPropValue |  | Return a property value as a variant